Bug 516527 - Review Request: globus-gass-server-ez - Globus Toolkit - Globus Gass Server_ez
Summary: Review Request: globus-gass-server-ez - Globus Toolkit - Globus Gass Server_ez
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516528 516531 516535
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:02 UTC by Mattias Ellert
Modified: 2009-11-23 16:55 UTC (History)
3 users (show)

Fixed In Version: 2.5-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-10 17:50:40 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:02:44 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gass-server-ez.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gass-server-ez-2.5-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gass-server-ez package contains:
Globus Gass Server_ez

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-11-03 22:19:30 UTC
Review of globus-gass-server-ez:

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1786494

yes: rpmlint
$ rpmlint SPECS/globus-gass-server-ez.spec \
        RPMS/x86_64/globus-gass-server-ez-* \
        SRPMS/globus-gass-server-ez-2.5-1.fc12.src.rpm
globus-gass-server-ez-devel.x86_64: W: no-documentation
globus-gass-server-ez-progs.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 2 warnings.

yes: package named as per-globus.
yes: spec file correct.
yes: globus guidelines good.
yes: ASL 2.0 in .spec
yes: contents is also ASL 2.0
yes: GLOBUS_LICEENSE include.
yes: english .spec
yes: legible spec.
yes: upstream matches.
$ diff --recursive  --brief globus_gass_server_ez-2.5 ~/globus/gt4.2.1-all-source-installer/source-trees/gass/server_ez/source/
Only in globus_gass_server_ez-2.5: GLOBUS_LICENSE
which is expected.
yes: compiles , see koji above.
yes: builds on all archs.
yes: builds on all archs.
yes: build dependencies sane.
yes: no locales anyway.
yes: ldoconfig called correctly.
yes: no statics.
yes: owns all directories.
yes: no duplicate files.
yes: all %defattr.
yes: %clean is cleaned.
yes: contains code.
yes: no large docs anyway.
yes: doc not needed.
yes: headers are in devel.
yes: pkgconfig required.
yes: devel does require base explicitly.
yes: no gui.
yes: owns all files or directories or pulls them in.
yes: %install is cleaned.
yes: utf8.

yes it's a very boring package.

APPROVED.

Steve

Comment 2 Mattias Ellert 2009-11-05 04:56:31 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: globus-gass-server-ez
Short Description: Globus Toolkit - Globus Gass Server_ez
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-11-06 20:34:07 UTC
cvs done.

Comment 4 Fedora Update System 2009-11-07 08:18:27 UTC
globus-gass-server-ez-2.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-gass-server-ez-2.5-1.fc12

Comment 5 Fedora Update System 2009-11-07 08:18:28 UTC
globus-gass-server-ez-2.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-gass-server-ez-2.5-1.el5

Comment 6 Fedora Update System 2009-11-07 08:18:32 UTC
globus-gass-server-ez-2.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gass-server-ez-2.5-1.fc11

Comment 7 Fedora Update System 2009-11-07 08:18:33 UTC
globus-gass-server-ez-2.5-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gass-server-ez-2.5-1.el4

Comment 8 Fedora Update System 2009-11-10 03:23:39 UTC
globus-gass-server-ez-2.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-gass-server-ez'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0832

Comment 9 Fedora Update System 2009-11-10 03:23:59 UTC
globus-gass-server-ez-2.5-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-gass-server-ez'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0834

Comment 10 Fedora Update System 2009-11-10 17:50:35 UTC
globus-gass-server-ez-2.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-10 17:56:32 UTC
globus-gass-server-ez-2.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-23 16:55:05 UTC
globus-gass-server-ez-2.5-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-23 16:55:26 UTC
globus-gass-server-ez-2.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.